import server from '@/utils/request'

//查询
interface Querydata{
    pageSize:String|number	    //每页条数
    pageNo:String|number	    //页数
    wuid?:String	            //微信用户id
    phoneNumber?:String	        //手机号
    nickName?:String            //用户昵称
    gender?:String	            //用户性别：1-男；2-女
    name?:String	            //名称
    type?:String	            //类型：1-独立账户，2-公司员工子账户
    pcode?:String	            //父账户编码
  }
  export function getwxlist(params:Querydata) {
    return server.request({
      url: '/cloud/wechat/user/list',
      method: 'get',
      params
    },false)
  }
  
//关联公司
interface Globj{
    wuid:String
    pcode:String    //公司编码
    pname:String    //公司名称
}

export function gulgs(data:Globj) { 
  return server.request({
    url: '/cloud/wechat/user/companyrelation',
    method: 'post',
    data
  })
}

//更新手机号 名称
interface Addobj{
    wuid:String
    phone:String      //手机号
    name:String       //用户名
}

export function update(data:Addobj) {
    return server.request({
      url: '/cloud/wechat/user/alterphone',
      method: 'post',
      data
    })
  }

  //审核  
  export function examine(data:any) {
    return server.request({
      url: '/cloud/wechat/user/alterState',
      method: 'post',
      data
    })
  }
  
  //解绑公司
  export function unbind(wuid:string,pcode:string) {
    return server.request({
      url: '/cloud/wechat/user/companyunbind',
      method: 'post',
      data:{
        wuid,
        pcode
      }
    })
  }
  